function [em,n,k]=disp_model_wrap_glotch(coef,v)
% disp_model_wrap: wrapper for dispersion model

N=(length(coef)-1)./3;
if ~isint(N), 
  error('disp_model_wrap_glotch: bad length for coefficient list!');
end

nu=coef(1:N);
gamm=coef(N+(1:N));
fourpr=coef(2.*N+(1:N));
epsil=coef(3.*N+1);

[n,k]=dispersion_model(nu,gamm,fourpr,epsil,v);
em=fresnel_sbu(n,k);
